Subject: Re: [BEHAVE] tsv-dir review of draft-ietf-behave-nat64-learn-analysis-01

From: jouni korhonen <[email-masked]>
Date: Fri, 9 Dec 2011 12:13:09 +0200

Haibin,

On Nov 11, 2011, at 3:18 AM, Songhaibin wrote:

>>> Another minor comment:
>>> 
>>> In section 4.6.1 , [I-D.boucadair-dhcpv6-shared-address-option] also support
>> NAT64 prefix allocation for building IPv4-embedded IPv6 address using DHCPv6
>> option. And this should be mentioned in the document.
>> 
>> Ok. Will add this.
>> 
> 
> Then I am okay with this draft.

Now that I made edits to the I-D I think the above is already covered in -01. The current text says:

   Section 4 of [I-D.boucadair-dhcpv6-shared-address-option] defines a
   DHCPv6 option that can be used to communicate to a requesting host
   the prefix used for building IPv4-Converted IPv6 addresses together
   with the format type and therefore also the used address synthesis
   algorithm.  Provisioning the format type is required so as to be
   correctly handled by the NAT64-enabled devices deployed in a given
   domain.

So we can convey the pref64 to the host, which can then use it to construct an ipv4-concerted ip6 address (which is a variant of IPv4-embedded IPv6 addresses per RFC6052).

- Jouni